<?php

namespace App\Classes\Modules\Accounts\Standards\Validators;

use App\Classes\General\Abstracts\AbstractValidation;
use App\Classes\Modules\Accounts\DataTransferObjects\UserObject;

class UserUpdateValidation extends AbstractValidation
{


    /**
     * @param UserObject $object
     * @return array
     */
    protected function data($object): array
    {
        return [
            'name' => $object->getName(),
        ];
    }

    /**
     * @return array
     */
    protected function rules(): array
    {
        return [
            'name' => 'required',            
        ];
    }

    /**
     * @return array
     */
    protected function messages(): array
    {
        return [];
    }
}